/*
 * Class WEL_RBS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_228 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_228 [] = {0xFF01,1551,227,0xFFFF};
static const EIF_TYPE_INDEX egt_2_228 [] = {0xFF01,227,0xFFFF};
static const EIF_TYPE_INDEX egt_3_228 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_228 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_228 [] = {0xFF01,227,0xFFFF};
static const EIF_TYPE_INDEX egt_6_228 [] = {0xFF01,227,0xFFFF};
static const EIF_TYPE_INDEX egt_7_228 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_228 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_228 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_228 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_228 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_228 [] = {0xFF01,227,0xFFFF};


static const struct desc_info desc_228[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_228), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_228), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_228), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_228), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_228), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_228), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_228), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_228), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_228), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_228), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_228), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_228), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C7 /*227*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_228), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4897, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4900, 0xFFFFFFFF},
};
void Init228(void)
{
	IDSC(desc_228, 0, 227);
	IDSC(desc_228 + 1, 1, 227);
	IDSC(desc_228 + 32, 948, 227);
}


#ifdef __cplusplus
}
#endif
